XtGetActionList(3) | Library Functions Manual | XtGetActionList(3)

# NAME

XtGetActionList - obtain class action list

# SYNTAX

#include <X11/Intrinsic.h>

void XtGetActionList(WidgetClass widget_class, XtActionList* actions_return, Cardinal* num_actions_return);

# ARGUMENTS

widget_class
  Specifies the widget class whose actions are to be returned.
actions_return
  Returns the action list.
num_actions_return
  Returns the number of action procedures declared by the class.

# DESCRIPTION

XtGetActionList returns the action table defined by the specified widget class. This table does not include actions defined by the superclasses. If widget_class is not initialized, or is not coreWidgetClass or a subclass thereof, or if the class does not define any actions, *actions_return will be NULL and *num_actions_return will be zero. If *actions_return is non-NULL the client is responsible for freeing the table using XtFree when it is no longer needed.

# SEE ALSO

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT FUNCTIONS